#edit the following line to add the librarie's header files
FIND_PATH(lidar_lite_INCLUDE_DIRS lidar_lite.h exceptions.h lidar_lite_exceptions.h /usr/local/include/iri/lidar_lite /usr/include/iri/lidar_lite)

FIND_LIBRARY(lidar_lite_LIBRARIES
    NAMES lidar_lite
    PATHS /usr/local/lib/iri/lidar_lite /usr/lib/iri/lidar_lite) 

SET(lidar_lite_INCLUDE_DIR ${lidar_lite_INCLUDE_DIRS})
SET(lidar_lite_LIBRARY    ${lidar_lite_LIBRARIES})

IF (lidar_lite_INCLUDE_DIRS AND lidar_lite_LIBRARIES)
   SET(lidar_lite_FOUND TRUE)
ENDIF (lidar_lite_INCLUDE_DIRS AND lidar_lite_LIBRARIES)

IF (lidar_lite_FOUND)
   IF (NOT lidar_lite_FIND_QUIETLY)
      MESSAGE(STATUS "Found lidar_lite: ${lidar_lite_LIBRARIES}")
   ENDIF (NOT lidar_lite_FIND_QUIETLY)
ELSE (lidar_lite_FOUND)
   IF (lidar_lite_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find lidar_lite")
   ENDIF (lidar_lite_FIND_REQUIRED)
ENDIF (lidar_lite_FOUND)

