#ifndef _LIDAR_LITE_EXCEPTIONS
#define _LIDAR_LITE_EXCEPTIONS

#include "exceptions.h"

/**
 * \brief Lidar Lite exception
 *
 * This class is used to report general errors of the Lidar Lite devices. These
 * errors are normally caused by invalid parameters passed to the functions.
 * In this case the error message is used to identify which error has ocuurred.
 *
 */
class CLidarLiteException : public CException
{
public:
  /**
   * \brief
   */
  CLidarLiteException(const std::string& where, const std::string& error_msg);
};

#endif
